/**
 * H5端
 */
export function UploaderH5({ title, maxUploadCount, className, id, events, layout, value, single, onChange, style, }: {
    title: any;
    maxUploadCount: any;
    className: any;
    id: any;
    events: any;
    layout: any;
    value: any;
    single?: boolean;
    onChange: any;
    style: any;
}): JSX.Element;
export namespace UploaderH5 {
    namespace propTypes {
        const id: PropTypes.Requireable<string>;
        const title: PropTypes.Requireable<string>;
        const className: PropTypes.Requireable<string>;
        const maxUploadCount: PropTypes.Requireable<number>;
        const events: PropTypes.Requireable<{
            [x: string]: (...args: any[]) => any;
        }>;
        const style: PropTypes.Requireable<object>;
        const layout: PropTypes.Requireable<string>;
        const value: PropTypes.Requireable<string | any[]>;
        const single: PropTypes.Requireable<boolean>;
        const onChange: PropTypes.Requireable<{
            [x: string]: (...args: any[]) => any;
        }>;
    }
}
import * as PropTypes from "prop-types";
