declare function Swiper({ children, className, style, autoplay, circular, vertical, indicatorDots, indicatorColor, indicatorActiveColor, duration, interval, current, events, id, }: {
    children: any;
    className: any;
    style?: {};
    autoplay: any;
    circular: any;
    vertical: any;
    indicatorDots: any;
    indicatorColor: any;
    indicatorActiveColor: any;
    duration?: number;
    interval?: number;
    current?: number;
    events?: {};
    id: any;
}): JSX.Element;
declare namespace Swiper {
    namespace defaultProps {
        const current: number;
        const duration: number;
        const indicatorDots: boolean;
        const autoplay: boolean;
        const circular: boolean;
        const interval: number;
        const vertical: boolean;
        const indicatorColor: string;
        const indicatorActiveColor: string;
    }
    namespace propTypes {
        const indicatorDots_1: propTypes.Requireable<boolean>;
        export { indicatorDots_1 as indicatorDots };
        const autoplay_1: propTypes.Requireable<boolean>;
        export { autoplay_1 as autoplay };
        const current_1: propTypes.Requireable<number>;
        export { current_1 as current };
        const interval_1: propTypes.Requireable<number>;
        export { interval_1 as interval };
        const duration_1: propTypes.Requireable<number>;
        export { duration_1 as duration };
        const circular_1: propTypes.Requireable<boolean>;
        export { circular_1 as circular };
        const vertical_1: propTypes.Requireable<boolean>;
        export { vertical_1 as vertical };
        const indicatorColor_1: propTypes.Requireable<string>;
        export { indicatorColor_1 as indicatorColor };
        const indicatorActiveColor_1: propTypes.Requireable<string>;
        export { indicatorActiveColor_1 as indicatorActiveColor };
        export const children: propTypes.Requireable<any>;
        export const className: propTypes.Requireable<string>;
        export const style: propTypes.Requireable<object>;
        export const events: propTypes.Requireable<{
            [x: string]: (...args: any[]) => any;
        }>;
        export const id: propTypes.Requireable<string>;
    }
}
export default Swiper;
import * as propTypes_1 from "prop-types";
