declare function Text({ text, maxLines, space, userSelect, style, className, events, id, ...props }: {
    [x: string]: any;
    text: any;
    maxLines?: number;
    space: any;
    userSelect?: boolean;
    style?: {};
    className: any;
    events: any;
    id: any;
}): JSX.Element;
declare namespace Text {
    namespace propTypes {
        const text: PropTypes.Requireable<string>;
        const maxLines: PropTypes.Requireable<number>;
        const space: PropTypes.Requireable<boolean>;
        const userSelect: PropTypes.Requireable<boolean>;
        const events: PropTypes.Requireable<{
            [x: string]: (...args: any[]) => any;
        }>;
        const style: PropTypes.Requireable<object>;
        const className: PropTypes.Requireable<string>;
        const id: PropTypes.Requireable<string>;
        const contenteditable: PropTypes.Requireable<PropTypes.Requireable<string> | PropTypes.Requireable<boolean>>;
        const onInput: PropTypes.Requireable<(...args: any[]) => any>;
        const onBlur: PropTypes.Requireable<(...args: any[]) => any>;
    }
    namespace defaultProps {
        const maxLines_1: number;
        export { maxLines_1 as maxLines };
        const text_1: string;
        export { text_1 as text };
        const space_1: boolean;
        export { space_1 as space };
        const userSelect_1: boolean;
        export { userSelect_1 as userSelect };
    }
}
export default Text;
import * as PropTypes from "prop-types";
