export default TeaDrawer;
export function TeaDrawer({ size, title, style, events, visible, subtitle, showMask, className, placement, extraSlot, footerSlot, childrenSlot, disableCloseIcon, outerClickClosable, }: {
    size: any;
    title: any;
    style: any;
    events: any;
    visible: any;
    subtitle: any;
    showMask: any;
    className: any;
    placement: any;
    extraSlot: any;
    footerSlot: any;
    childrenSlot: any;
    disableCloseIcon: any;
    outerClickClosable: any;
}): JSX.Element;
export namespace TeaDrawer {
    namespace propTypes {
        const style: PropTypes.Requireable<object>;
        const visible: PropTypes.Requireable<boolean>;
        const title: PropTypes.Requireable<string>;
        const showMask: PropTypes.Requireable<boolean>;
        const extraSlot: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        const subtitle: PropTypes.Requireable<string>;
        const footerSlot: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        const className: PropTypes.Requireable<string>;
        const childrenSlot: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        const disableCloseIcon: PropTypes.Requireable<boolean>;
        const size: PropTypes.Requireable<string>;
        const outerClickClosable: PropTypes.Requireable<boolean>;
        const events: PropTypes.Requireable<{
            [x: string]: (...args: any[]) => any;
        }>;
        const placement: PropTypes.Requireable<string>;
    }
}
import PropTypes from "prop-types";
