"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = (0, tslib_1.__importStar)(require("react"));
var classnames_1 = (0, tslib_1.__importDefault)(require("../../../utils/classnames"));
require("./index.css");
var tea_component_1 = require("tea-component");
var platform_1 = require("../../../utils/platform");
function Form(_a) {
    var _b;
    var 
    // 系统属性
    className = _a.className, 
    // 组件属性
    // title,
    // description,
    // tips,
    contentSlot = _a.contentSlot, 
    // buttonSlot,
    style = _a.style, id = _a.id;
    var platform = (0, platform_1.usePlatform)();
    var cls = (0, classnames_1.default)((_b = {
            'weda-ui': true,
            'weda-form': true,
            'weui-form': platform === 'h5'
        },
        _b[className] = className,
        _b));
    if (platform === 'pc') {
        return (React.createElement(tea_component_1.ConfigProvider, { classPrefix: "wedatea2td" },
            React.createElement(tea_component_1.Form, { className: cls, style: style, id: id }, contentSlot)));
    }
    return (React.createElement("div", { className: cls, style: style, id: id },
        React.createElement("div", { className: "weui-cells__group weui-cells__group_form" }, contentSlot)));
}
exports.default = Form;
//# sourceMappingURL=index.js.map