"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = (0, tslib_1.__importStar)(require("react"));
var weui_1 = (0, tslib_1.__importDefault)(require("../../utils/weui"));
var classnames_1 = (0, tslib_1.__importDefault)(require("../../utils/classnames"));
function Picker(props) {
    var _a;
    var title = props.title, children = props.children, className = props.className;
    var click = function () {
        weui_1.default.picker([
            {
                label: '飞机票',
                value: 0,
            },
            {
                label: '火车票',
                value: 1,
            },
            {
                label: '的士票',
                value: 2,
            },
            {
                label: '公交票 (disabled)',
                disabled: true,
                value: 3,
            },
            {
                label: '其他',
                value: 4,
            },
        ], {
            onChange: function () {
                // console.log(result);
            },
            onConfirm: function () {
                // console.log(result);
            },
            title: title,
        });
    };
    var cls = (0, classnames_1.default)((_a = {
            'weda-ui': true,
            'weda-picker': true
        },
        _a[className] = className,
        _a));
    return (React.createElement("div", { className: cls, onClick: click }, children));
}
exports.default = Picker;
//# sourceMappingURL=picker.js.map